#!/bin/sh

INFO_API_URI="http://192.168.10.66"
INFO_API_TIMEOUT=3
HEADER_CONTEXT_TYPE="Content-Type: application/json"

usage() {
	echo "Usage:" $0 "[comm]"
	exit
}

case $1 in
  ggits)
    PORT=9873;
    ;;
  etlp)
    PORT=9874;
    ;;
  comm)
    PORT=9871;
    ;;
  todp)
    PORT=9872;
    ;;
  *)
    PORT=9871;
    ;;
esac

INFO_API_URI=${INFO_API_URI}:${PORT}/info

curl -H $HEADER_CONTEXT_TYPE $INFO_API_URI --connect-timeout $INFO_API_TIMEOUT

